ContextRuleSet (Catalina Internal API Documentation)
Keywords: org.apache.catalina.startup.ContextRuleSet class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.startup
Class ContextRuleSet

    java.lang.Object
      org.apache.commons.digester.RuleSetBase
          org.apache.catalina.startup.ContextRuleSet

All Implemented Interfaces:
  org.apache.commons.digester.RuleSet

public class ContextRuleSet
extends org.apache.commons.digester.RuleSetBase

RuleSet for processing the contents of a Context or DefaultContext definition element. To enable parsing of a DefaultContext, be sure to specify a prefix that ends with "/Default".

Version:
  $Revision: 289023 $ $Date: 2004-08-26 18:06:34 -0400 (Thu, 26 Aug 2004) $
Author:
  Craig R. McClanahan

Field Summary
`protected java.lang.String` | `prefix` The matching pattern prefix to use for recognizing our elements.

Fields inherited from class org.apache.commons.digester.RuleSetBase
`namespaceURI`

Constructor Summary
`ContextRuleSet()` Construct an instance of this `RuleSet` with the default matching pattern prefix.
`ContextRuleSet(java.lang.String prefix)` Construct an instance of this `RuleSet` with the specified matching pattern prefix.

Method Summary
`void` | `addRuleInstances(org.apache.commons.digester.Digester digester)` Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any).
`protected boolean` | `isDefaultContext()` Are we processing a DefaultContext element?

Methods inherited from class org.apache.commons.digester.RuleSetBase
`getNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### prefix

    protected java.lang.String prefix

  The matching pattern prefix to use for recognizing our elements.

Constructor Detail

### ContextRuleSet

    public ContextRuleSet()

  Construct an instance of this `RuleSet` with the default matching pattern prefix.

### ContextRuleSet

    public ContextRuleSet(java.lang.String prefix)

  Construct an instance of this `RuleSet` with the specified matching pattern prefix.

Parameters:
  `prefix` - Prefix for matching pattern rules (including the trailing slash character)

Method Detail

### addRuleInstances

    public void addRuleInstances(org.apache.commons.digester.Digester digester)

  Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any). This method should only be called by a Digester instance.

  Parameters:
    `digester` - Digester instance to which the new Rule instances should be added.

### isDefaultContext

    protected boolean isDefaultContext()

  Are we processing a DefaultContext element?

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.